<html>
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>
        <meta charset="utf-8">
        <link rel="stylesheet" href="css/modal.css">
        <script>
            var firebaseConfig = {
                apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
                authDomain: "theflyingmangobutterflies.firebaseapp.com",
                databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
                projectId: "theflyingmangobutterflies",
                storageBucket: "theflyingmangobutterflies.appspot.com",
                messagingSenderId: "917586757603",
                appId: "1:917586757603:web:d7032957a5a827e1"
            };
            firebase.initializeApp(firebaseConfig);
            </script>
        <style>
            body {
                margin: 0;
            }
            #nav-bar {
                height: 104px;
                width: 100%;
                border-bottom-left-radius: 20px;
                border-bottom-right-radius: 20px;
                background: linear-gradient(40.54deg, rgb(248, 165, 69), rgb(252, 102, 56)) ;
            }
            #nav-text {
                position: absolute;
                height: 30px;
                width: 30vw;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
                font-weight: 700;
                line-height: 30px;
                text-align: center;
                margin-left: 35vw;
                margin-top:40px;
            }
            .fa-chevron-left {
                position: fixed;
                font-size: 25px;
                margin-top: 45.1px;
                margin-left: 39px;
            }
            #profile_icon {
                height: 127px;
                width: 127px;
                background-color: #C8C8C8;
                background-image: url(profile_icon.jpg);
                background-repeat: no-repeat;
                background-size: cover;
                margin-top: 33px;
            }
            #tmp {
                display: flex;
                justify-content: center;
            }
            #profile_info {
                margin-top: 10.5px;
                display: flex;
                flex-direction: column;
                align-items: center;
                text-align: center;
            }
            #tmp2 {
                height: 26px;
                width: 166px;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
                letter-spacing: 1.09px;
                line-height: 30px;
                margin: 0;
            }
            #username {
                height: 26px;
                width: 166px;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
                font-weight: 700;
                letter-spacing: 1.09px;
                line-height: 30px;
                margin: 0;
            }
            #stats {
                margin-top: 20.5px;
                height: 91px;
                width: 296px;
                border-radius: 10px;
                background-color: rgba(51,153,255,0.7);
                /* text-align: center; */
                border: 0;
                padding: 0;
                display: flex;
                justify-content: center;
                align-items: center;
                outline: none !important;
            }
            #reset {
                margin-top: 15px;
                height: 91px;
                width: 296px;
                border-radius: 10px;
                background-color: rgba(255,51,102,0.7);
                /* text-align: center; */
                border: 0;
                padding: 0;
                display: flex;
                justify-content: center;
                align-items: center;    
                outline: none !important;        
            }
            #info {
                display: flex;
                flex-direction: column;
                align-items: center;
            }
            #tmp3 {
                height: 30px;
                width: 140px;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
                font-weight: 700;
                line-height: 30px;
                text-align: center;
            }
            #tmp4 {
                margin: 0;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
            }
        </style>
    </head>
    <body>
        <div id="nav-bar">
            <div id="nav-text">Хэрэглэгч</div>
            <i onclick="back_icon()" class="fa fa-chevron-left" aria-hidden="true"></i>
        </div>
        <div id="tmp">
            <div id="profile_icon"></div>
        </div>
        <div id="profile_info">
            <p id="tmp2">Хэрэглэгч</p>
            <h1 id="username"></h1>
        </div>
        <div id="info">
            <button onclick="stats()" id="stats">
                <h1 id="tmp3" >Статистик</h1>
            </button>
            <button id="reset" onclick="reset()">
                <h1 id="tmp4" >Дахин эхлүүлэх</h1>
                
            </button>

            <!-- The Modal -->
            <div id="reset-modal" class="modal">
                <div class="modal-content">
                    <h1 id='bord_text'>Дахин эхлүүлэх</h1>
                    <p id="text_2">Та тоглоомыг дахин шинээр эхлүүлэхдээ итгэлтэй байна уу? Энэ үйлдлийг дахин буцаах боломжгүй.</p>
                    <div style="display: flex; flex-direction: row" >
                        <div id="action_2">
                            <button id='no_btn' onclick="no()" >
                                <p id='n_t' >Болих</p>
                            </button>
                        </div>
                        <div id="action_1">
                            <button id='yes_btn' onclick="yes()">
                                <p id = 'y_t'>Тийм</p>
                            </button>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <script>
            document.getElementById('username').innerHTML = localStorage.getItem('username');
            function back_icon() {
                window.location.href = 'first_menu.html';
            }
            function stats() {
                window.location.href = 'stats.html';
            }
            function reset() {
                console.log('clicked!');
                document.getElementById('reset-modal').style.display = 'block';
                // alert('Ta togloomiig dahin ehluulehdee itgeltei baina uu? Ene uildliig dahin butsaah bolomjgui.');
            }
            function no() {
                document.getElementById('reset-modal').style.display = 'none';
            }
            function yes() {
                console.log()
                firebase.database().ref(`/Users/${localStorage.getItem('username')}`).remove().then(() => {
                    localStorage.clear();
                    window.location.href = 'icon.html';
                    console.log(localStorage.getItem('username'));
                });
                
            }
        </script>
    </body>
</html>